html, body {
    height: 100%;
    margin: 0;
    font-family: Arial, sans-serif;
}

main {
    flex: 1;
}
footer {
    position: relative;
    bottom: 0;
    width: 100%;
}
.social-bar {
    height: 40px;
    width: 100%;
    background-color: #1d1e1e;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 20px;
}
.social-icons {
    display: flex;
    align-items: center;
}
.social-icons span {
    color: #f6f1ee;
    margin-right: 10px;
}
.social-icons a {
    color: #f6f1ee;
    font-size: 20px;
    width: 20px;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 30px;
    text-decoration: none;
    border: none;
}
.social-icons a:hover {
    opacity: 0.7;
}
.dropdown-toggle {
    color: #f6f1ee;
    text-decoration: none;
}
.dropdown-toggle::after {
    display: none;
}
.dropdown-menu-dark {
    background-color: #343a40 !important;
}
.header {
    background-color: #f8f4f1;
    display: flex;
    flex-direction: column;
    padding: 0;

}

.header-top {
    display: flex;
    justify-content: space-between;
    width: 100%;
}
.header-left {
    margin-left: 206px;
}
.header-right {
    margin-right: 206px;
    display: flex;
    align-items: center;
}
.header-left img {
    width: 150px;
    height: 150px;
}

/* estilos menu*/
/* Estilos del menú */
header .navbar .nav-link {
    color: #1d1e1e !important;
}

.dropdown-menu {
    min-width: 150px;
    padding: 10px 0;
}

.dropdown-item {
    display: flex;
    align-items: center;
    gap: 5px;
}

.dropdown-item img {
    width: 16px;
    height: auto;
}


/* Estilos base del menú */
header .navbar .nav {
    list-style: none;
    display: flex;
    gap: 20px;
    padding-left: 0;
    margin-bottom: 0;
}

/* Formato de los elementos del menú */
header .navbar .nav-item {
    font-size: 16px;
}

/* Estilo de los enlaces */
header .navbar .nav-link {
    color: #1d1e1e;
    text-decoration: none;
    transition: color 0.3s ease-in-out;
}

/* Hover */
header .navbar .nav-link:hover {
    color: #cca85d;
}

/* Activo / Seleccionado */
header .navbar .nav-item.active .nav-link,
header .navbar .nav-link.active,
header .navbar .nav-item.current-menu-item .nav-link {
    color: #c39078;
    font-weight: bold;
    border-bottom: 2px solid #c39078;
}

.dropdown-menu-dark {
    background-color: #1d1e1e;
    color: white;
}

.dropdown-menu-dark li {
    list-style: none;
}

.dropdown-menu-dark a {
    color: white;
    padding: 10px;
    display: block;
}

.dropdown-menu-dark a:hover {
    background-color: #333;
}


/* Estilos responsivos */
@media (max-width: 991px) { /* Para tablets y móviles */
    .header-top {
        position: relative; /* Mantiene su tamaño fijo */
        z-index: 10;
    }

    header .navbar {
        width: 100%;
    }

    /* El menú debe aparecer expandido */
    header .navbar-collapse {
        position: fixed; /* Lo saca del flujo del documento */
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh; /* Ocupar toda la pantalla */
        background: rgba(255, 255, 255, 0.95); /* Fondo semi-transparente */
        z-index: 9999; /* Asegurar que esté encima */
        padding: 20px;
        display: none; /* Oculto por defecto */
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    /* Cuando el menú se activa */
    header .navbar-collapse.show {
        display: flex; /* Mostrar en formato flex */
    }

    header .navbar .nav {
        flex-direction: column; /* Apilar los elementos */
        align-items: center; /* Centrar los ítems */
        gap: 15px;
    }

    header .navbar .nav-item {
        width: 100%;
        text-align: center;
    }

    header .navbar .nav-link {
        font-size: 18px;
        font-weight: bold;
        padding: 12px 20px;
        color: #1d1e1e;
        text-decoration: none;
    }

    /* Efecto de fondo oscuro al expandirse */
    .menu-overlay {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh;
        background: rgba(0, 0, 0, 0.5);
        z-index: 9998;
        display: none;
    }

    /* Mostrar overlay cuando el menú se activa */
    .menu-overlay.active {
        display: block;
    }
}

/* fin menu*/

header.abajo{
    background: #fff;
}

header.abajo .header-left img{
    width: 100px;
    height: 100px;
}


/* Estilo de  tab-search*/
.tab-search {
    height: 50px;
    width: 100%;
    background-color: #c39078;
    display: flex;
    justify-content: center;
    align-items: center;
}

.tab-search-container {
    display: flex;
    justify-content: flex-start;
    width: 80%;
    height: 100%;
    gap: 20px;
}

.tab-search-item {
    display: flex;
    align-items: center;
    justify-content: left;
    height: 100%;
    width: 300px;
    background-color: #1d1e1e;
}

.tab-search-item button {
    color: #f6f1ee;
    background-color: transparent;
    border: none;
    font-size: 16px;
    display: flex;
    align-items: center;
}

.dropdown-menu-custom {
    background-color: #232323;
    color: #f6f1ee;
    width: 388px;
}
.dropdown-item-custom {
    color: #f6f1ee;
}
.dropdown-item-custom:hover {
    background-color: #3b3b3b;
}

.dropdown-item-custom:hover {
    color: #cca85d;
}

.dropdown-item-custom:focus, .dropdown-item-custom.active {
    color: #c39078;
}



.tab-search-item button i {
    margin-right: 10px;
}

.tab-search-item button {
    color: #f6f1ee;
    transition: color 0.3s ease;
}

.tab-search-item button:hover {
    color: #cca85d;
}

.tab-search-item button:focus, .tab-search-item button.active {
    color: #c39078;
}

/* Cambios generales para mejorar el diseño en pantallas pequeñas */
@media (max-width: 576px) {
    .tab-search {
        padding: 10px 0; /* Ajustar el padding para pantallas muy pequeñas */
    }

    .tab-search-container {
        gap: 8px;
    }

    .searchbox {
        width: 85%; /* Reducir un poco más el tamaño */
    }

    .menucommerce {
        gap: 15px; /* Ajustar el espaciado entre los iconos */
    }

    .tab-search-item button {
        font-size: 12px; /* Reducir aún más el tamaño de la fuente */
    }
}

.searchbox {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: #ffffff;
    margin: 5px 0;
    border-radius: 10px;
    width: 100%;
    max-width: 600px;
    min-width: 300px;
}

.searchbox input {
    width: 100%;
    height: 35px;
    border: none;
    background-color: #ffffff;
    color: #1d1e1e;
    padding-left: 10px;
    font-size: 16px;
    border-radius: 10px;
}

.searchbox .search-icon {
    text-align:center;
    width: 50px;
    background-color: #1d1e1e;
    color: #ffffff;
    padding: 8px;
    cursor: pointer;
    border-radius: 10%;
}

.menucommerce {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
}
.menucommerce i {
    width: 40px;
    height: 40px;
    font-size: 25px;
    color: #1d1e1e;
    background-color: #f6f1ee;
    cursor: pointer;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* Ocultar .searchbox y .menucommerce en pantallas verticales de móvil y tablet */
@media (max-width: 768px) and (orientation: portrait) {
    .searchbox,
    .menucommerce {
        display: none !important;
    }
}

/* Fin Estilo de  tab-search*/


/*Estilos del SLIDE*/
/* Asegura que el slider cubra el 100% del alto de la pantalla */
.carousel {
    height: 450px;  /* Ajusta el alto del slider */
}

/* Asegura que el contenido del slider cubra el 100% del contenedor y se adapte */
.carousel-item img {
    object-fit: cover;  /* Mantiene la imagen cubriendo todo el contenedor */
    width: 100%;
    height: 450px;  /* Ajusta el alto de las imágenes al 100% del alto del slider */
}

/* Estilo del overlay negro con transparencia */
.carousel-item .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);  /* Color negro con transparencia */
}

/* Centra el título sobre la imagen */
.carousel-item .title {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%); /* Centrado absoluto */
    color: #f6f1ee;  /* Color del título */
    font-size: 3rem;  /* Tamaño grande del título */
    font-weight: bold;
    text-align: center;
}

/* Estilo del botón */
.carousel-item .btn-custom {
    position: absolute;
    top: 72%; /* Ajusta para que esté debajo del título */
    left: 50%;
    transform: translateX(-50%); /* Centrado del botón */
    background-color: #f6f1ee;
    border: 1px solid #cca85d;
    color: #1d1e1e;
    font-size: 1rem;
    padding: 10px 20px;
    border-radius: 5px;
    text-align: center;
    text-decoration: none;
}

/* Opcional: Hover efecto del botón */
.carousel-item .btn-custom:hover {
    background-color: #cca85d;
    color: #fff;
}

/* Opcional: Para asegurar que el contenido del slider tenga un buen aspecto en dispositivos móviles */
.carousel-inner {
    max-height: 100vh;
}

/* Media Queries para pantallas más pequeñas */
@media (max-width: 768px) {
    .carousel-item .title {
        font-size: 2.5rem;  /* Reduce el tamaño del título en tabletas */
    }

    .carousel-item .btn-custom {
        font-size: 0.9rem;  /* Reduce el tamaño del botón en tabletas */
    }
}

@media (max-width: 576px) {
    .carousel-item .title {
        font-size: 2rem;  /* Reduce aún más el tamaño del título en móviles */
    }

    .carousel-item .btn-custom {
        font-size: 0.8rem;  /* Reduce el tamaño del botón en móviles */
        padding: 8px 16px;  /* Ajusta el padding del botón en móviles */
    }

    .carousel {
        height: 350px;  /* Ajusta la altura del carrusel en móviles */
    }

    .carousel-item img {
        height: 350px;  /* Ajusta la altura de las imágenes en móviles */
    }
}
/*Fin Estilos del SLIDE*/


/* Estilos generales del footer */

.footer {
    background-color: #1d1e1e;
    color: #ffffff;
    text-align: center;
    padding: 20px 0;
    position: relative;
    bottom: 0;
    width: 100%;
}

/* Contenedor principal del footer */
.footerContent {
    display: flex;
    justify-content: center;
    gap: 20px;
    padding: 20px;
    max-width: 1200px;
    margin: 0 auto;
    flex-wrap: wrap;
}

/* Estilos de las columnas del footer */
.footer-column {
    flex: 1;
    min-width: 200px;
    text-align: center;
}

/* Estilos para la lista en la segunda columna */
.footer-column ul {
    list-style: none;
    padding: 0;
}

.footer-column ul li {
    margin: 5px 0;
}

.footer-column a {
    color: #ffffff;
    text-decoration: none;
}

.footer-column a:hover {
    text-decoration: underline;
}

/* Línea separadora */
.footer-separator {
    width: 100%;
    height: 1px;
    background-color: #ffffff;
    margin: 15px 0;
}

/* Copyright */
.footer-copyright {
    text-align: center;
    font-size: 14px;
    padding: 10px 0;
}

/* Diseño responsive para pantallas pequeñas */
@media (max-width: 768px) {
    .footerContent {
        flex-direction: column;
        text-align: center;
    }

    .footer-column {
        margin-bottom: 15px;
    }
}
/* fin estilos para el footer */

/*estilos para la tienda de woocommerce*/

div.store_content{
    padding: 10px 100px 15px 25px;
}


button.inputSend {
    width: 90%; /* Reducir un poco el tamaño */
    margin-top: 10px;
    background: #343a40;
}

.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit.alt, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button.alt, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce #respond input#submit.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce a.button.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce button.button.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce input.button.alt {
    background-color: #be322c !important;
    color: #ffffff !important;
    font-size: 18px;
    font-weight: bold;
    padding: 12px 20px;
    border-radius: 8px;
    box-shadow: 0px 4px 10px rgba(255, 0, 0, 0.5);
    transition: all 0.3s ease-in-out;
}


.woocommerce ul.products li.product .woocommerce-loop-category__title, .woocommerce ul.products li.product .woocommerce-loop-product__title, .woocommerce ul.products li.product h3 {
    color: #111;
}

/* 🔹 Ocultar el widget en pantallas menores a 992px (tablets y móviles) */
@media (max-width: 991px) {
    #widgetHeader {
        display: none !important;
    }
}
